/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package domen;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;

/**
 *
 * @author student
 */
@Embeddable
public class DobavljaPK implements Serializable {

    @Basic(optional = false)
    @NotNull
    @Column(name = "dobavljacID")
    private int dobavljacID;
    @Basic(optional = false)
    @NotNull
    @Column(name = "proizvodID")
    private int proizvodID;

    public DobavljaPK() {
    }

    public DobavljaPK(int dobavljacID, int proizvodID) {
        this.dobavljacID = dobavljacID;
        this.proizvodID = proizvodID;
    }

    public int getDobavljacID() {
        return dobavljacID;
    }

    public void setDobavljacID(int dobavljacID) {
        this.dobavljacID = dobavljacID;
    }

    public int getProizvodID() {
        return proizvodID;
    }

    public void setProizvodID(int proizvodID) {
        this.proizvodID = proizvodID;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) dobavljacID;
        hash += (int) proizvodID;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof DobavljaPK)) {
            return false;
        }
        DobavljaPK other = (DobavljaPK) object;
        if (this.dobavljacID != other.dobavljacID) {
            return false;
        }
        if (this.proizvodID != other.proizvodID) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "domen.DobavljaPK[ dobavljacID=" + dobavljacID + ", proizvodID=" + proizvodID + " ]";
    }
    
}
