/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package domen;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.Lob;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author student
 */
@Entity
@Table(name = "tehnickiproizvod")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tehnickiproizvod.findAll", query = "SELECT t FROM Tehnickiproizvod t")
    , @NamedQuery(name = "Tehnickiproizvod.findByProizvodID", query = "SELECT t FROM Tehnickiproizvod t WHERE t.proizvodID = :proizvodID")
    , @NamedQuery(name = "Tehnickiproizvod.findByGarancija", query = "SELECT t FROM Tehnickiproizvod t WHERE t.garancija = :garancija")})
public class Tehnickiproizvod implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "proizvodID")
    private Integer proizvodID;
    @Lob
    @Size(max = 65535)
    @Column(name = "tehnickeosobine")
    private String tehnickeosobine;
    @Column(name = "garancija")
    private Integer garancija;
    @Lob
    @Size(max = 65535)
    @Column(name = "uputstvo")
    private String uputstvo;
    @JoinColumn(name = "proizvodID", referencedColumnName = "proizvodID", insertable = false, updatable = false)
    @OneToOne(optional = false)
    private Proizvod proizvod;

    public Tehnickiproizvod() {
    }

    public Tehnickiproizvod(Integer proizvodID) {
        this.proizvodID = proizvodID;
    }

    public Integer getProizvodID() {
        return proizvodID;
    }

    public void setProizvodID(Integer proizvodID) {
        this.proizvodID = proizvodID;
    }

    public String getTehnickeosobine() {
        return tehnickeosobine;
    }

    public void setTehnickeosobine(String tehnickeosobine) {
        this.tehnickeosobine = tehnickeosobine;
    }

    public Integer getGarancija() {
        return garancija;
    }

    public void setGarancija(Integer garancija) {
        this.garancija = garancija;
    }

    public String getUputstvo() {
        return uputstvo;
    }

    public void setUputstvo(String uputstvo) {
        this.uputstvo = uputstvo;
    }

    public Proizvod getProizvod() {
        return proizvod;
    }

    public void setProizvod(Proizvod proizvod) {
        this.proizvod = proizvod;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (proizvodID != null ? proizvodID.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tehnickiproizvod)) {
            return false;
        }
        Tehnickiproizvod other = (Tehnickiproizvod) object;
        if ((this.proizvodID == null && other.proizvodID != null) || (this.proizvodID != null && !this.proizvodID.equals(other.proizvodID))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "domen.Tehnickiproizvod[ proizvodID=" + proizvodID + " ]";
    }
    
}
