/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package validatori;

import javax.enterprise.context.RequestScoped;
import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.FacesValidator;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;
import javax.inject.Named;

/**
 *
 * @author student
 */

@Named
@RequestScoped
@FacesValidator(value = "emailVal")
public class EmailValidator implements Validator{

    @Override
    public void validate(FacesContext context, UIComponent component, Object value) throws ValidatorException {
        
        if (value==null) return;
        
        
        String email = String.valueOf(value);
        
        if (!email.contains("@") || email.endsWith(".")) {
            
            throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_FATAL, "Neispravno unet email.", "Email mora sadrzati znak @ i ne sme imati tacku na kraju"));
        }
        
        
    }
    
}
