/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package domen;

import java.io.Serializable;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author student
 */
@Entity
@Table(name = "dobavlja")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Dobavlja.findAll", query = "SELECT d FROM Dobavlja d")
    , @NamedQuery(name = "Dobavlja.findByDobavljacID", query = "SELECT d FROM Dobavlja d WHERE d.dobavljaPK.dobavljacID = :dobavljacID")
    , @NamedQuery(name = "Dobavlja.findByProizvodID", query = "SELECT d FROM Dobavlja d WHERE d.dobavljaPK.proizvodID = :proizvodID")})
public class Dobavlja implements Serializable {

    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected DobavljaPK dobavljaPK;
    @JoinColumn(name = "dobavljacID", referencedColumnName = "dobavljacID", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Dobavljac dobavljac;

    public Dobavlja() {
    }

    public Dobavlja(DobavljaPK dobavljaPK) {
        this.dobavljaPK = dobavljaPK;
    }

    public Dobavlja(int dobavljacID, int proizvodID) {
        this.dobavljaPK = new DobavljaPK(dobavljacID, proizvodID);
    }

    public DobavljaPK getDobavljaPK() {
        return dobavljaPK;
    }

    public void setDobavljaPK(DobavljaPK dobavljaPK) {
        this.dobavljaPK = dobavljaPK;
    }

    public Dobavljac getDobavljac() {
        return dobavljac;
    }

    public void setDobavljac(Dobavljac dobavljac) {
        this.dobavljac = dobavljac;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (dobavljaPK != null ? dobavljaPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Dobavlja)) {
            return false;
        }
        Dobavlja other = (Dobavlja) object;
        if ((this.dobavljaPK == null && other.dobavljaPK != null) || (this.dobavljaPK != null && !this.dobavljaPK.equals(other.dobavljaPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "domen.Dobavlja[ dobavljaPK=" + dobavljaPK + " ]";
    }
    
}
