/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package domen;

import java.io.Serializable;
import java.util.List;
import javax.persistence.Basic;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Lob;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author student
 */
@Entity
@Table(name = "dobavljac")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Dobavljac.findAll", query = "SELECT d FROM Dobavljac d")
    , @NamedQuery(name = "Dobavljac.findByDobavljacID", query = "SELECT d FROM Dobavljac d WHERE d.dobavljacID = :dobavljacID")})
public class Dobavljac implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "dobavljacID")
    private Integer dobavljacID;
    @Lob
    @Size(max = 65535)
    @Column(name = "naziv")
    private String naziv;
    @Lob
    @Size(max = 65535)
    @Column(name = "adresa")
    private String adresa;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "dobavljac")
    private List<Dobavlja> dobavljaList;

    public Dobavljac() {
    }

    public Dobavljac(Integer dobavljacID) {
        this.dobavljacID = dobavljacID;
    }

    public Integer getDobavljacID() {
        return dobavljacID;
    }

    public void setDobavljacID(Integer dobavljacID) {
        this.dobavljacID = dobavljacID;
    }

    public String getNaziv() {
        return naziv;
    }

    public void setNaziv(String naziv) {
        this.naziv = naziv;
    }

    public String getAdresa() {
        return adresa;
    }

    public void setAdresa(String adresa) {
        this.adresa = adresa;
    }

    @XmlTransient
    public List<Dobavlja> getDobavljaList() {
        return dobavljaList;
    }

    public void setDobavljaList(List<Dobavlja> dobavljaList) {
        this.dobavljaList = dobavljaList;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (dobavljacID != null ? dobavljacID.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Dobavljac)) {
            return false;
        }
        Dobavljac other = (Dobavljac) object;
        if ((this.dobavljacID == null && other.dobavljacID != null) || (this.dobavljacID != null && !this.dobavljacID.equals(other.dobavljacID))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "domen.Dobavljac[ dobavljacID=" + dobavljacID + " ]";
    }
    
}
