/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package domen;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.Lob;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author student
 */
@Entity
@Table(name = "prehrambeniproizvod")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Prehrambeniproizvod.findAll", query = "SELECT p FROM Prehrambeniproizvod p")
    , @NamedQuery(name = "Prehrambeniproizvod.findByProizvodID", query = "SELECT p FROM Prehrambeniproizvod p WHERE p.proizvodID = :proizvodID")})
public class Prehrambeniproizvod implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "proizvodID")
    private Integer proizvodID;
    @Lob
    @Size(max = 65535)
    @Column(name = "roktrajanja")
    private String roktrajanja;
    @Lob
    @Size(max = 65535)
    @Column(name = "sastav")
    private String sastav;
    @JoinColumn(name = "proizvodID", referencedColumnName = "proizvodID", insertable = false, updatable = false)
    @OneToOne(optional = false)
    private Proizvod proizvod;

    public Prehrambeniproizvod() {
    }

    public Prehrambeniproizvod(Integer proizvodID) {
        this.proizvodID = proizvodID;
    }

    public Integer getProizvodID() {
        return proizvodID;
    }

    public void setProizvodID(Integer proizvodID) {
        this.proizvodID = proizvodID;
    }

    public String getRoktrajanja() {
        return roktrajanja;
    }

    public void setRoktrajanja(String roktrajanja) {
        this.roktrajanja = roktrajanja;
    }

    public String getSastav() {
        return sastav;
    }

    public void setSastav(String sastav) {
        this.sastav = sastav;
    }

    public Proizvod getProizvod() {
        return proizvod;
    }

    public void setProizvod(Proizvod proizvod) {
        this.proizvod = proizvod;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (proizvodID != null ? proizvodID.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Prehrambeniproizvod)) {
            return false;
        }
        Prehrambeniproizvod other = (Prehrambeniproizvod) object;
        if ((this.proizvodID == null && other.proizvodID != null) || (this.proizvodID != null && !this.proizvodID.equals(other.proizvodID))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "domen.Prehrambeniproizvod[ proizvodID=" + proizvodID + " ]";
    }
    
}
