/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package konverteri;

import domen.Mesto;
import javax.enterprise.context.ApplicationScoped;
import javax.enterprise.context.RequestScoped;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;
import javax.inject.Inject;
import javax.inject.Named;
import kontroler.Kontroler;

/**
 *
 * @author student
 */

@Named
@RequestScoped
@FacesConverter(value = "mestoKNV")
public class MestoKonverter implements Converter{

    @Inject
    Kontroler kont;
    
    
    
    
    @Override
    public Object getAsObject(FacesContext context, UIComponent component, String value) {
        System.out.println("Vrednost pristigla u metodu getAsObject:"+value);
        
        if (value==null || value.isEmpty()) return null;
        
        Integer ptt = Integer.parseInt(value);        
        
        kont = new Kontroler();
        return kont.vratiMesto(ptt);
        
    }

    @Override
    public String getAsString(FacesContext context, UIComponent component, Object value) {
        
        if (value==null) return "";
        
        if (value instanceof Mesto){          
            
            Mesto m = (Mesto) value;         
            return ""+m.getPtt();
            
        }
        
        return "";
    }
    
}
